# XMLReader::setParserProperty

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::setParserProperty — Parser-Optionen setzen

### Beschreibung

public XMLReader::setParserProperty(int `$property`, bool `$value`): bool

Setzen von Optionen für den Parser. Die Optionen müssen definiert werden nachdem XMLReader::open() oder XMLReader::XML() verwendet werden und bevor der erste XMLReader::read() Aufruf stattfindet.

### Parameter-Liste

`property`

  Eine der Parser-Optionskonstanten.

`value`

  Wenn die Option auf `true` gesetzt, wird sie aktiviert, sonst deaktiviert.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open